/*  File:     cnctSocketEvent.java 
    Project:  OOPracktikum 2001
	            Connect-Game Client
	            Patrick Scheibe, Markus Kreuz, Georg Martius
    Package:  cnctSocket
    Autor:    
    Descript:   Eventhandler fuer Client-Socket-Protokoll
    last mod: Mon Apr 30 23:28:27 CEST 2001
*/

package cnctSocket;

import point;

public interface cnctSocketEvent { 
  
  //Infoevents, autoatische Antwort (OK)
  public void gamesize(int size);
  public void getturn(point position);
  public void youbegin(boolean youstart);
  public void youhavetoturnto(point position);
  public void oppositename(String _oppname);
  public void end(String reason);

  //Handlungsevents
  public void yourturn(int timeout);
  


}
