/*  File:     cnctInfoNameDlg.java 
    Project:  OOPracktikum 2001
	            Connect-Game Client
	            Patrick Scheibe, Markus Kreuz, Georg Martius
    Autor: Markus Kreuz
    Descript: Dialog zum Abfragen des Namens und des zu Startenden Clients
    last mod:
    date
    Don Jun  7 00:36:40 CEST 2001
*/

package cnctInfoClientPack;

import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import java.io.*;
import java.util.Vector;

import cnctInfoClient;
import cnctInfoConfig.cnctClient;
import point;

public class cnctInfoNameDlg extends Dialog implements ActionListener
{ 
	TextField namefield;
	Button okbutton;
    Button cancelbutton;
	Panel panel;
	Label command;
 	Label clientlabel;
    Choice clientChooser;
	cnctInfoClient parent;
	
  //// bekommt als letztes alle Clients vom typ cnctClient uebergeben
  //---------------------------------------------------------------------------------------
	public cnctInfoNameDlg(Frame pw,String title, Vector clients)
	{
		super(pw,title,false);
		parent=(cnctInfoClient)pw;
		panel=new Panel();
		command=new Label("Gib Deinen Namen an");
		namefield=new TextField(40);
    
    if(clients!=null){
      clientlabel=new Label("Spiel-Client:");
      clientAuswahl(clients);
    }
    
		okbutton=new Button("OK");
		cancelbutton=new Button("Cancel");
    
		add(panel);
		panel.setLayout(new FlowLayout(FlowLayout.CENTER));
		panel.add(command);
		panel.add(namefield);
    if(clientChooser!=null){
      panel.add(clientlabel);
      panel.add(clientChooser);
    } 
		panel.add(okbutton);
		okbutton.addActionListener(this);
		panel.add(cancelbutton);
		cancelbutton.addActionListener(this);
	
    	pack();	
	}


  private void clientAuswahl(Vector clients){
    int i;
    clientChooser = new Choice();
    clientChooser.add("keinen");
    clientChooser.add("cnctClient(intern)");
    clientChooser.select(1);
    for(i=0;i<clients.size();i++){
       clientChooser.add(((cnctClient)clients.elementAt(i)).getName());
    }
    
  }

  ///////// ACTIONEVENTS  
  //---------------------------------------------------------------------------------------
	public void actionPerformed(ActionEvent e)
	{
		Object source=e.getSource();
		if (source==okbutton){
			if (namefield.getText().length()!=0){
            if(clientChooser!=null){ 
              parent.setClientNumber(clientChooser.getSelectedIndex() - 1); // -1 -> keinen; 0 -> intern; ab 1 -> extern 
            }
				parent.setPlayerName(namefield.getText());
				setVisible(false);
				parent.initPanel();
			}
		}else
        if(source==cancelbutton){
          parent.close();
        }
        
        
	}
}
