/*  File:     cnctInfoGameList.java 
    Project:  OOPracktikum 2001
	            Connect-Game Client
	            Patrick Scheibe, Markus Kreuz, Georg Martius
    Package:  cnctInfoSocket
    Autor:    
    Descript: Eine Liste (Vektor) vom Games
    last mod: Mon Apr 30 23:28:27 CEST 2001
*/

package cnctInfoSocket;

import java.io.*;
import java.net.*;
import java.util.Vector;

import cnctParser.*;

public class cnctInfoGame extends Object{
    //member
    private int gameNumber;
    private int status;
    private int winner;
    private int size;
	
    public static final int RUNNING = 3;
    public static final int WAITING = 2;
    public static final int DONE = 1;
    
	public static final int BLACK = 0;
    public static final int WHITE = 1;
	public static final int NOTHING= -1;
	
 
    /////////////////////////////////////////// F U N K T I O N E N ///////////////////////////
    //  public cnctInfoGame();
 
    //  public cnctInfoGame(int _number,int _status);

    //  public int getStatus(){
    //  public String getStatusString(){
    //  public int getGameNumber(){
	//  public int getWinner(){
	//  public int getSize(){
	
	//  public void setSize(int _size){
	
    //  private boolean setStatus(String stat){
    //  private boolean setWinner(String col){
    
    ///////////////////////////////////////// I M P L E M E N T I E R U N G ///////////////////////////
    //------------------------------------------------------
  
   //------------------------------------------------------
    public cnctInfoGame(){
      status= WAITING;
	  size=0;
	  winner=2;
        
    };
 
    //------------------------------------------------------
    public cnctInfoGame(int _number, int _status){
      gameNumber=_number;
      status=_status;
    };

    //-----------------------------------------------------
    public int getGameNumber(){
      return gameNumber;
    };
	
	//-----------------------------------------------------
    public void setGameNumber(int number){
      gameNumber=number;
    };


    //-----------------------------------------------------
    public int getStatus(){
      return status;
    };
	
    //-----------------------------------------------------
    public String getStatusString(){
      switch(status){
        case RUNNING: return new String("RUNNING");
        case WAITING: return new String("WAITING");
        case DONE: return new String("DONE");
      }
      return null;
    };
	
	//------------------------------------------------------
    public boolean setStatus(String stat){
      if(stat==null) return false;
      stat=stat.trim();
      if (stat.toUpperCase().compareTo("RUNNING") == 0){
        status=RUNNING;
      }else 
      if (stat.toUpperCase().compareTo("WAITING_FOR") == 0){
        status=WAITING;
      }else
      if (stat.toUpperCase().compareTo("DONE") == 0){
        status=DONE;       
      }else{
        return false;
      }
      return true;
    };
	
    //-----------------------------------------------------
    public int getWinner(){
      return winner;
    };
	//-----------------------------------------------------
    public String getWinnerString(){
	switch(winner){
        case BLACK: return new String("SCHWARZ");
        case WHITE: return new String("WEISS");
        case NOTHING: return new String("Keiner");
      }
      return null;
    };
	//------------------------------------------------------    
    public boolean setWinner(String col){
      if(col==null) return false;
      col=col.trim();
      if (col.toUpperCase().compareTo("SCHWARZ") == 0){
        winner=BLACK;
      }else 
      if (col.toUpperCase().compareTo("WEISS") == 0){
        winner=WHITE;
      }else{
	    winner=NOTHING;
        return false;
      }
      return true;
    };
	
	//------------------------------------------------------    
	public int getSize(){
	  return size;
	};
	
	//------------------------------------------------------    
	public void setSize(int _size){
	 size=_size; 
	}

}
